[
{
    blockid=snmp;
    help=root_snmp_snmp;
    custom=com.netscape.management.msgserv.RootSNMPControl;
    localvar={
	/* translate this block */
	.snmp.text="SNMP \uc124\uc815";
	.host.text="\ub9c8\uc2a4\ud130 \uc5d0\uc774\uc804\ud2b8 \ud638\uc2a4\ud2b8 \uc774\ub984:";
	.port.text="\ub9c8\uc2a4\ud130 \uc5d0\uc774\uc804\ud2b8 \ud3ec\ud2b8 \ubc88\ud638:";
	.enable.text="\ud1b5\uacc4 \uc218\uc9d1 \uc0ac\uc6a9 \uac00\ub2a5";
	.org.text="\uc870\uc9c1 \uc774\ub984:";
	.description.text="\uc11c\ubc84 \uc124\uba85:";
	.contact.text="\uc5f0\ub77d\ucc98 \uc815\ubcf4:";
	.location.text="\uc11c\ubc84 \uc704\uce58:";
	.snmpstart.text="\uc2dc\uc791";
	.snmpstop.text="\uc911\uc9c0";
	.snmpstatus.text="\uc0c1\ud0dc:";
        sys.snmpcollstart.value="SNMP \ud558\uc704 \uc5d0\uc774\uc804\ud2b8\uac00 \uc2e4\ud589\ub418\uace0 \uc788\uc9c0 \uc54a\uc2b5\ub2c8\ub2e4.";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.snmp.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
	        gridy=0;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=hostlabel;
	    text=$.host.text;
	    target=hostctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=hostlabel;
	    id=hostctrl;
	    val=$snmp.masterhost.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=portlabel;
	    text=$.port.text;
	    target=portctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=portctrl;
	    val=$snmp.masterport.value;
	    label=portlabel;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=orglabel;
	    text=$.org.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=orglabel;
	    val=$snmp.organization.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=descriptionlabel;
	    text=$.description.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=descriptionlabel;
	    val=$snmp.description.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=contactlabel;
	    text=$.contact.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=contactlabel;
	    val=$snmp.contact.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=locationlabel;
	    text=$.location.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=locationlabel;
	    val=$snmp.location.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    id=snmpenable;
	    text=$.enable.text;
	    val=$snmp.enable.value;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
		        {
		            ctrl=label;
		            text=$.snmpstatus.text;
		        },
		        {
		            ctrl=rigid;
		        },
		        {
		            ctrl=timelabel;
		            text=$sys.snmpcollstart.value;
		        }
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
			{
			    ctrl=button;
			    id=snmpstart;
			    text=$.snmpstart.text;
			    cmd=start;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=button;
			    id=snmpstop;
			    text=$.snmpstop.text;
			    cmd=stop;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]
